/*********************************************************
 * Copyright (C) 2007 VMware, Inc. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation version 2.1 and no later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the Lesser GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA.
 *
 *********************************************************/

/*
 * cpNameUtilInt.h --
 *
 *    Cross-platform name format used by hgfs.
 *
 */


#ifndef __CP_NAME_UTIL_INT_H__
#define __CP_NAME_UTIL_INT_H__


#include "vm_basic_types.h"

/*
 * Used by CPNameUtil_Utf8FormHostToUtf8FormC and 
 * CPNameUtil_Utf8FormCToUtf8FormHost.
 */
Bool 
CPNameUtilConvertUtf8FormCAndD(const char *cpNameToConvert,
                               size_t cpNameToConvertLen,
                               Bool convertToFormC,
                               char **cpConvertedName,
                               size_t *cpConvertedNameLen);

#endif /* __CP_NAME_UTIL_INT_H__ */
